Bug 529395 - add support for 10000baseT
Summary: add support for 10000baseT
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: ethtool
Version: 5.4
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Jay Fenlason
QA Contact: BaseOS QE - Apps
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-16 15:39 UTC by Olivier Fourdan
Modified: 2018-10-27 14:11 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-30 08:46:29 UTC
Target Upstream Version:


Attachments (Terms of Use)
Proposed patch (950 bytes, patch)
2009-10-16 15:39 UTC, Olivier Fourdan
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0279 0 normal SHIPPED_LIVE ethtool bug fix and enhancement update 2010-03-29 13:58:06 UTC

Description Olivier Fourdan 2009-10-16 15:39:59 UTC
Created attachment 365059 [details]
Proposed patch

Description of problem:

Currently, ethtool lacks the simple support for properly listing 10000baseT/Full as a supported speed/duplex.

ethtool needs the following patch to add support for supporting 10000baseT:

    http://kerneltrap.org/mailarchive/linux-netdev/2007/11/7/394199/thread

Version-Release number of selected component (if applicable):

ethtool-6-2

How reproducible:

100% reproducible

Steps to Reproduce:
1. Run ethtool on a device that supports 10000baseT/Full
  
Actual results:

[root@localhost ~]# ethtool eth1
Settings for eth1:
       Supported ports: [ FIBRE ]
       Supported link modes:
       Supports auto-negotiation: No
       Advertised link modes:  10000baseT/Full
       Advertised auto-negotiation: No
       Speed: 10000Mb/s
       Duplex: Full
       Port: FIBRE
       PHYAD: 0
       Transceiver: internal
       Auto-negotiation: off
       Link detected: yes

Expected results:

[root@localhost ~]# ethtool eth1
Settings for eth1:
       Supported ports: [ FIBRE ]
       Supported link modes:   10baseT/Half 10baseT/Full
                               100baseT/Half 100baseT/Full
                               1000baseT/Full
                               10000baseT/Full
       Supports auto-negotiation: No
       Advertised link modes:  10000baseT/Full
       Advertised auto-negotiation: No
       Speed: 10000Mb/s
       Duplex: Full
       Port: FIBRE
       PHYAD: 0
       Transceiver: internal
       Auto-negotiation: off
       Link detected: yes

Additional info:

The patch is from this thread: http://kerneltrap.org/mailarchive/linux-netdev/2007/11/7/394199/thread

Comment 7 errata-xmlrpc 2010-03-30 08:46:29 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0279.html


Note You need to log in before you can comment on or make changes to this bug.